package com.ruoyi.mall.domain.vo;

/**
 * @ClassName MemberAddressVO
 * @Description 请描述类的业务用途
 * @Author linlinee
 * @Date 2021/12/6 4:12 PM
 * @Version 1.0
 **/

public class MemberAddressVO {
    /** 主键ID */
    private Long id;

    /** 用户主键ID */
    private Long userId;

    /** 收货人姓名 */
    private String name;

    /** 收货人电话 */
    private String phone;

    /** 所在省 */
    private String province;

    /** 所在市 */
    private String city;

    /** 地区 */
    private String area;

    /** 详细地址 */
    private String address;

    /** 是否是默认地址: 0=不是,1=是 */
    private String isDefault;

    /** 接货地址ID */
    private Long meetId;

    /** 接货地址 */
    private String meetAddress;

    public Long getMeetId() {
        return meetId;
    }

    public void setMeetId(Long meetId) {
        this.meetId = meetId;
    }

    public String getMeetAddress() {
        return meetAddress;
    }

    public void setMeetAddress(String meetAddress) {
        this.meetAddress = meetAddress;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(String isDefault) {
        this.isDefault = isDefault;
    }

    @Override
    public String toString() {
        return "MemberAddressVO{" +
                "id=" + id +
                ", userId=" + userId +
                ", name='" + name + '\'' +
                ", phone='" + phone + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", area='" + area + '\'' +
                ", address='" + address + '\'' +
                ", isDefault='" + isDefault + '\'' +
                '}';
    }
}
